﻿$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'YACReader*winx86.exe'
$file64Location = Join-Path $toolsDir 'YACReader*winx64.exe'
$url        = 'https://github.com/YACReader/yacreader/releases/download/9.8.2.2106204/YACReader-v9.8.2.2106204-winx86-7z.exe'
$url64      = 'https://github.com/YACReader/yacreader/releases/download/9.8.2.2106204/YACReader-v9.8.2.2106204-winx64-7z.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64
  file			= $fileLocation
  file64		= $file64Location
  softwareName  = 'YACReader*'
  checksum      = 'A56D9466E203DDC3A57CF6811480A3FBC66352494B19BFC62E5E1AAD19C66600'
  checksumType  = 'sha256'
  checksum64    = 'FEE6E0B4822F6F6F6DA7399B3A3C2F464B5003E923400A94B3F6FDC4941610A2'
  checksumType64= 'sha256'
  silentArgs    = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
